#set-option -ga terminal-overrides ",st-256color:Tc"
#set -as terminal-features ",foot*:RGB"
#set -as terminal-features ",st-256color:RGB"
set -ga monitor-bell on
set -g history-limit 100000
set -g bell-action any
#set -g bell-on-alert on

set -s escape-time 0

setw -g aggressive-resize on
setw -g wrap-search off

bind-key a send-prefix
bind-key k kill-session
bind-key H pipe-pane -o 'cat >> ~/.tmux.log.#h-#S-#I-#P'

#bind-key m \
#	set -g mouse on \;\
#	display 'Mouse: ON'
#bind M \
#	set -g mouse off \;\
#	display 'Mouse: OFF'

# vim-like copypaste mode
set-window-option -g mode-keys vi
bind-key -T copy-mode-vi v send -X begin-selection
bind-key -T copy-mode-vi y send -X copy-pipe "xclip -selection clipboard"
bind-key -T copy-mode-vi C-v send -X rectangle-toggle
bind-key P run "tmux set-buffer \"$(xclip -o -selection clipboard)\"; tmux paste-buffer"

# don't exit copy mode after selection
#set -s mouse on
#bind-key -T copy-mode-vi MouseDragEnd1Pane send-keys -X copy-selection -x
